Package org.apache.maven.scm.provider.git.util

## Class GitUtil

- java.lang.Object
- - org.apache.maven.scm.provider.git.util.GitUtil

    public class GitUtil
    extends java.lang.Object

Author:
  Emmanuel Venisse

### Field Summary

Fields
`static java.io.File` `DEFAULT_SETTINGS_DIRECTORY`
`protected static java.lang.String` `GIT_SETTINGS_FILENAME`

### Method Summary

All Methods Static Methods Concrete Methods
`static Settings` `getSettings()`
`static java.io.File` `getSettingsFile()`
`static Settings` `readSettings()`
`static void` `setSettingsDirectory​(java.io.File directory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### GIT_SETTINGS_FILENAME

    protected static final java.lang.String GIT_SETTINGS_FILENAME

See Also:
  Constant Field Values

#### DEFAULT_SETTINGS_DIRECTORY

    public static final java.io.File DEFAULT_SETTINGS_DIRECTORY

### Method Detail

#### getSettings

    public static Settings getSettings()

#### readSettings

    public static Settings readSettings()

#### setSettingsDirectory

    public static void setSettingsDirectory​(java.io.File directory)

#### getSettingsFile

    public static java.io.File getSettingsFile()